dsi: XDsi Struct Reference

| dsi Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XDsi Struct Reference
Dsi_v1_1

The XDsi driver instance data. More...

## Data Fields
XDsi_Config | Config
| GUI Configuration. More...
u32 | VideoMode
| Specifies VideoMode NoNBurst/Burst. More...
u8 | BlankPacketType
| Blanking packet type for BLLP region. More...
u8 | BLLPMode
| BLLP Selection. More...
u8 | EoTp
| EoTp Bit Enable/Disable. More...
XDsi_Callback | UnSupportedDataTypeCallback
     Callback for
UnSupportedDataType More...
void * | UnsupportDataTypeRef
     To be passed to the
UnSupportedDataType call back More...
XDsi_Callback | PixelDataUnderrunCallback
| Callback invoked for Byte stream FIFO starves for Pixel during HACT transmission. More...
void * | PixelDataUnderrundRef
| To be passed for Pixel under run. More...
XDsi_Callback | CmdQFIFOFullCallback
| Callback invoked for Command queue FIFO Full. More...
void * | CmdQFIFOFullRef
| To be passed for Command queue FIFO Full. More...
XDsi_Callback | ErrorCallback
| Call back function for rest all errors. More...
void * | ErrRef
| To be passed to the Error Call back. More...
u32 | IsReady
| Driver is ready. More...

## Detailed Description

The XDsi driver instance data.

An instance must be allocated for each DSI in use.

## Field Documentation

u8 XDsi::BlankPacketType

Blanking packet type for BLLP region.

Referenced by XDsi_DefaultConfigure().

u8 XDsi::BLLPMode

BLLP Selection.

Referenced by XDsi_DefaultConfigure().

XDsi_Callback XDsi::CmdQFIFOFullCallback

Callback invoked for Command queue FIFO Full.

Referenced by XDsi_CfgInitialize(), XDsi_IntrHandler(), and XDsi_SetCallback().

void* XDsi::CmdQFIFOFullRef

To be passed for Command queue FIFO Full.

Referenced by XDsi_IntrHandler(), and XDsi_SetCallback().

XDsi_Config XDsi::Config

GUI Configuration.

Referenced by XDsi_CfgInitialize(), XDsi_GetConfigParams(), XDsi_SelfTest(), XDsi_SendLongPacket(), XDsi_SendShortPacket(), XDsi_SetCustomVideoInterfaceTiming(), and XDsi_SetVideoInterfaceTiming().

u8 XDsi::EoTp

EoTp Bit Enable/Disable.

Referenced by XDsi_DefaultConfigure().

XDsi_Callback XDsi::ErrorCallback

Call back function for rest all errors.

Referenced by XDsi_CfgInitialize(), and XDsi_SetCallback().

void* XDsi::ErrRef

To be passed to the Error Call back.

Referenced by XDsi_SetCallback().

u32 XDsi::IsReady

Driver is ready.

Referenced by XDsi_Activate(), XDsi_CfgInitialize(), XDsi_DefaultConfigure(), XDsi_IntrHandler(), XDsi_SelfTest(), and XDsi_SetCallback().

XDsi_Callback XDsi::PixelDataUnderrunCallback

Callback invoked for Byte stream FIFO starves for Pixel during HACT transmission.

Referenced by XDsi_CfgInitialize(), XDsi_IntrHandler(), and XDsi_SetCallback().

void* XDsi::PixelDataUnderrundRef

To be passed for Pixel under run.

Referenced by XDsi_IntrHandler(), and XDsi_SetCallback().

void* XDsi::UnsupportDataTypeRef

     To be passed to the

UnSupportedDataType call back

Referenced by XDsi_IntrHandler(), and XDsi_SetCallback().

XDsi_Callback XDsi::UnSupportedDataTypeCallback

     Callback for

UnSupportedDataType

Referenced by XDsi_CfgInitialize(), XDsi_IntrHandler(), and XDsi_SetCallback().

u32 XDsi::VideoMode

Specifies VideoMode NoNBurst/Burst.

Referenced by XDsi_DefaultConfigure().